import { Event } from "../../../../base/common/event.js";
import { ChatAgentLocation } from "./chatAgents.js";
import { IChatHistoryEntry } from "@codingame/monaco-vscode-chat-service-override/vscode/vs/workbench/contrib/chat/common/chatWidgetHistoryService";
export declare const IChatWidgetHistoryService: import("../../../../platform/instantiation/common/instantiation.js").ServiceIdentifier<IChatWidgetHistoryService>;
export interface IChatWidgetHistoryService {
    _serviceBrand: undefined;
    readonly onDidClearHistory: Event<void>;
    clearHistory(): void;
    getHistory(location: ChatAgentLocation): IChatHistoryEntry[];
    saveHistory(location: ChatAgentLocation, history: IChatHistoryEntry[]): void;
}
